/***************************************
Project : ATmega128 HEADER simple demo
Version : 1
Date    : 11.9.2013
Author  : Stanimir Petev
Company : Olimex Ltd

In order to work you have to
conenct an external LED to
the configured down PIN and GND.

Chip type        : ATmega128
Clock frequency  : 16,000000 MHz
Memory model     : Small
Internal RAM size: 4096
External RAM size: 0
Data Stack size  : 1024
***************************************/

#include <avr/io.h>
#include "iom128.h"

// Here you can configurate the LED position
// by default it is PORTA.0 (extension pin 51)
#define	LED_PORT			PORTA
#define	LED_DDR				DDRA
#define	LED_PIN				PINA
#define	LED_PIN_NUMBER		0
#define	LED_EXT_NUMBER		51

void Delay (volatile unsigned long int Time)
{
	while (Time--);
}

void Init (void)
{
	LED_DDR = LED_DDR | (1<<LED_PIN_NUMBER);		// LED pin --> Output
	LED_PORT = LED_PORT & (~(1<<LED_PIN_NUMBER));	// LED pin --> LOW
}

int main (void)
{
	Init ();
	while (1)
	{
		LED_PORT = LED_PORT ^ (1<<LED_PIN_NUMBER);
		Delay (1000000);
	}
}
                                  
